> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Message

> Update message



## OpenAPI

````yaml openapi-v2 POST /chat/updateMessage/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /chat/updateMessage/{instance}:
    post:
      tags:
        - Chat Controller
      summary: Update Message
      description: Update message
      operationId: updateMessage
      parameters:
        - name: instance
          in: path
          required: true
          description: Name instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - number
                - text
                - key
              properties:
                number:
                  type: integer
                  description: Receiver phone number with country code
                text:
                  type: string
                  description: New message content
                key:
                  type: object
                  properties:
                    remoteJid:
                      type: string
                      description: Chat contact or group remote JID
                    fromMe:
                      type: boolean
                      description: If the message was sent by the instance owner or not
                    id:
                      type: string
                      description: Message ID
      responses:
        '200':
          description: Ok
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````